package lib.frm;

/**
 * Librbrary containing the so called "block functions" - functions that are
 * responsible for processing individual test blocks. This is the hart of
 * EMOS Framework approach. Note the simplicity of these functions. If you
 * manage to keep your functions simple (no ifs, loops, direct calls to
 * WinRunner functions), then you are on the best way to have a very flexible
 * test system.
 
 @stereotype compiled module
 @tsl <A HREF= "FRM_flight_lib.tsl">FRM_flight_lib.tsl</A>
*/

public class FRM_flight_lib
{
/**
 * @see <a href="../../../images/AUT/FRM_FlightSchedule.jpg">GUI</a>
 * @see <a href="../../../images/AUT/FRM_FlightSchedule_block.jpg">Excel</a>
 */

public int FRM_FlightSchedule( in table, in test, in idx, inout mode ) {};

/**
 * @see <a href="../../../images/AUT/FRM_OrderInformation.jpg">GUI</a>
 * @see <a href="../../../images/AUT/FRM_OrderInformation_block.jpg">Excel</a>
 */

public int FRM_OrderInformation( in table, in test, in idx, inout mode ) {};

/**
 * @see <a href="../../../images/AUT/FRM_OrderAction.jpg">GUI</a>
 * @see <a href="../../../images/AUT/FRM_OrderAction_block.jpg">Excel</a>
 */

public int FRM_OrderAction( in table, in test, in idx, inout mode ) {};

/**
 * @see <a href="../../../images/AUT/FRM_FlightsTable.jpg">GUI</a>
 * @see <a href="../../../images/AUT/FRM_FlightsTable_block.jpg">Excel</a>
 */

public int FRM_FlightsTable( in table, in test, in idx, inout mode ) {};

/**
 * @see <a href="../../../images/AUT/FRM_OpenOrder.jpg">GUI</a>
 * @see <a href="../../../images/AUT/FRM_OpenOrder_block.jpg">Excel</a>
 */

public int FRM_Open_Order( in table, in test, in idx, inout mode ) {};

}
